1 Reply Latest reply on Apr 7, 2009 3:46 PM by A.T. Romano

    Does Elements 2.0 work with Vista?

      I have had Premiere Elements 2.0  for some time now and I will be getting a new laptop soon.  I am wondering if it will work with Vista.  But I have a feeling it doesn't as I think its a bit 'before vista' isn't it?

       

      Thanks!

      -TheMightyMouse

        • 1. Re: Does Elements 2.0 work with Vista?
          A.T. Romano Level 7

          I believe that the first real Vista compatible Premiere Element was version 4. Premiere Elements 3 was "Vista compatible" by way of the Premiere Elements 3.0.2 Update (patch). Premiere Elements 2 was never cited a Vista compatible. Although I have never attempted to try my Premiere Elements 2 in a Vista operating system, I would say that you need to upgrade to Premiere Elements 4 or 6 if still available or the latest version Premiere Elements 7.

           

          ATR